Django Lifecycle doubles memory usage of all "Content" objects due to change-tracking

08/20/2021 04:23 AM - dalley

Status: NEW Start date:

Priority: Normal Due date:

Assignee: Estimated time: 0:00 hour
Category:

Sprint/Milestone:

Severity: 2. Medium Groomed: No
Version: Sprint Candidate: No
Platform Release: Tags:

0OS: Sprint:

Triaged: Yes Quarter:

Description

Django Lifecycle has hook system that activates when fields on models are changed - in order to implement this, it keeps a copy of

the initial state of all fields, so that it can tell when they change.

We do not benefit from this since content (at least, all content to date) are immutable, but we suffer significantly from it as it doubles
the in-memory size of all content objects. When these objects are very large, as frequently occurs with the RPM plugin, this can be

significant.

We should find a way to opt out of this functionality, or create one ourselves with an upstream contribution.

https://github.com/rsinger86/django-lifecycle/blob/9c0d1289568ea070d0e0a396980a29d6f9b7b959/django_lifecycle/mixins.py#L26

History

#1 - 08/24/2021 04:45 PM - fao89
- Triaged changed from No to Yes
